package org.eclipse.cosmos.rm.validation.internal.common;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.databuilders.TestAcyclicDataTypesList;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestElementTypeMapDataBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestRefTypeElementBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestReferenceGraphGenerator;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestTypeInheritanceDataBuilderImpl;
import org.eclipse.cosmos.rm.validation.internal.smlvalidators.TestAcyclicValidator;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;
import org.eclipse.cosmos.rm.validation.internal.reference.TestURIReference;
import org.eclipse.cosmos.rm.validation.internal.reference.TestXPointer;
import org.eclipse.cosmos.rm.validation.internal.reference.TestXPointerExpression;
import org.eclipse.cosmos.rm.validation.internal.reference.TestXPointerScheme;
import org.eclipse.cosmos.rm.validation.internal.reference.TestXmlnsScheme;
import org.eclipse.cosmos.rm.validation.internal.reference.TestDrefXPathFunction;

/**
 * Generated code for the test suite <b>AllTests</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/junits/AllTests.testsuite</i>.
 */
public class AllTests extends HyadesTestCase
{
	/**
	 * Constructor for AllTests.
	 * @param name
	 */
	public AllTests(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>AllTests</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite allTests = new HyadesTestSuite("AllTests");
		allTests.setArbiter(DefaultTestArbiter.INSTANCE).setId("C7D7CF520CB6574217B3139083DB11DB");
		allTests.addTest(((HyadesTestSuite) TestAcyclicDataTypesList.suite()).setTestInvocationId("C7D7CF520CB6574221B5F15A83DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestAcyclicValidator.suite()).setTestInvocationId("C7D7CF520CB6574221BD1D5583DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestElementTypeMapDataBuilder.suite()).setTestInvocationId("C7D7CF520CB6574221C1FF4683DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestFileOutput.suite()).setTestInvocationId("C7D7CF520CB6574221C4493983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestRefTypeElementBuilder.suite()).setTestInvocationId("C7D7CF520CB6574221C9042983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestReferenceGraphGenerator.suite()).setTestInvocationId("C7D7CF520CB6574221CDE62983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestTypeInheritanceDataBuilderImpl.suite()).setTestInvocationId("C7D7CF520CB6574221D2A12383DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestURIReference.suite()).setTestInvocationId("F047EAA18640A2ED281C51AB8AE511DB"));
		allTests.addTest(((HyadesTestSuite) TestXPointer.suite()).setTestInvocationId("F047EAA18640A2ED282D1A928AE511DB"));
		allTests.addTest(((HyadesTestSuite) TestXPointerExpression.suite()).setTestInvocationId("F047EAA18640A2ED2831D5708AE511DB"));
		allTests.addTest(((HyadesTestSuite) TestXPointerScheme.suite()).setTestInvocationId("F047EAA18640A2ED2836905E8AE511DB"));
		allTests.addTest(((HyadesTestSuite) TestXmlnsScheme.suite()).setTestInvocationId("F047EAA18640A2ED283B4B4E8AE511DB"));
		allTests.addTest(((HyadesTestSuite) TestDrefXPathFunction.suite()).setTestInvocationId("F047EAA18640A2ED921C71438BC411DB"));
		return allTests;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

}
