package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.Map;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.common.IValidationConstants;
import org.eclipse.cosmos.rm.validation.internal.common.UtilityTester;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestRefTypeElementBuilder</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/junits/TestRefTypeElementBuilder.testsuite</i>.
 */
public class TestRefTypeElementBuilder extends HyadesTestCase
{
	/**
	 * Constructor for TestRefTypeElementBuilder.
	 * @param name
	 */
	public TestRefTypeElementBuilder(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestRefTypeElementBuilder</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testRefTypeElementBuilder = new HyadesTestSuite("TestRefTypeElementBuilder");
		testRefTypeElementBuilder.setArbiter(DefaultTestArbiter.INSTANCE).setId("C7D7CF520CB657428C667E7083B811DB");
		testRefTypeElementBuilder.addTest(new TestRefTypeElementBuilder("testDataStructureGeneration").setId("C7D7CF520CB6574292A639B083B811DB").setTestInvocationId("C7D7CF520CB657429A49558083B811DB"));
		return testRefTypeElementBuilder;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	/**
	 * testDataStructureGeneration
	 * @throws Exception
	 */
	public void testDataStructureGeneration() throws Exception
	{
		final String RESOURCE = "test-resources/targetElement/InValid.xml";
		final String EXPECTED_ELEMENT = "EnrolledCourse";
		
		RefTypeElementBuilder refTypeElementBuilder = new RefTypeElementBuilder();
		UtilityTester.parseDocument(this.getClass().getClassLoader().getResourceAsStream(RESOURCE), refTypeElementBuilder);
		Map map = (Map)refTypeElementBuilder.getDataStructure(); 
		
		Map uriMap = (Map)map.get(IValidationConstants.EMPTY_STRING);
		assertNotNull("The uri map is null", uriMap);		
		assertNotNull("The exepcted element name, " + EXPECTED_ELEMENT + ", was not found", uriMap.get(EXPECTED_ELEMENT));		
	}

}
